QwtPlotSvgItem(3)

NAME
QwtPlotSvgItem - A plot item, which displays data in Scalable Vector Graphics (SVG) format.

SYNOPSIS

#include <qwt_plot_svgitem.h>

Inherits QwtPlotGraphicItem.

  Public Member Functions
QwtPlotSvgItem (const QString &title=QString())
Constructor.
QwtPlotSvgItem (const QwtText &title)
Constructor.
virtual ~QwtPlotSvgItem ()
Destructor.
bool loadFile (const QRectF &, const QString &fileName)
bool loadData (const QRectF &, const QByteArray &)

  Additional Inherited Members

Detailed Description

A plot item, which displays data in Scalable Vector Graphics (SVG) format. SVG images are often used to display maps

QwtPlotSvgItem is only a small convenience wrapper class for QwtPlotGraphicItem, that creates a QwtGraphic from SVG data.

Definition at line 28 of file qwt_plot_svgitem.h.

Constructor & Destructor Documentation

  QwtPlotSvgItem::QwtPlotSvgItem (const QString & title = QString()) [explicit]

Constructor.

Parameters
    title Title

Definition at line 20 of file qwt_plot_svgitem.cpp.

  QwtPlotSvgItem::QwtPlotSvgItem (const QwtText & title) [explicit]

Constructor.

Parameters
    title Title

Definition at line 29 of file qwt_plot_svgitem.cpp.

Member Function Documentation

  bool QwtPlotSvgItem::loadData (const QRectF & rect, const QByteArray & data)
Load SVG data

Parameters
    rect Bounding rectangle
    data in SVG format

Returns
    true, if the SVG data could be loaded

Definition at line 74 of file qwt_plot_svgitem.cpp.

  bool QwtPlotSvgItem::loadFile (const QRectF & rect, const QString & fileName)
Load a SVG file

Parameters
    rect Bounding rectangle
    fileName SVG file name

Returns
    true, if the SVG file could be loaded

Definition at line 47 of file qwt_plot_svgitem.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.